Subject: Re: [PATCH] git-am: Run git gc only once and not for every patch.

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Jan 2008 22:55:39 -0800

Junio C Hamano <[email-masked]> writes:

> ...
> I do not think moving "gc --auto" outside the loop hurts in
> practice because you are not likely to be rebasing a truly huge
> series every day, but cruft can accumulate during "git am" run
> and the "gc --auto" inside loop was meant to clean them up.  The
> idea was taken from importers that run repack every once in a
> while (e.g. cvsimport runs every 1k commits), but "gc --auto"
> was designed to be much more lightweight than a full repack and
> that was the reason it was placed in the loop without counting
> "every N commits".

Having said all that, I'll take your patch as-is except that I'd
drop the later part of the commit log message that explains
Wine's practice.